Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.versioned
Class LocalSynchronizationManager

    java.lang.Object
      org.jboss.aspects.versioned.LocalSynchronizationManager

All Implemented Interfaces:
  SynchronizationManager

Direct Known Subclasses:
  DistributedSynchronizationManager

public class LocalSynchronizationManager
extends Object
implements SynchronizationManager

Version:
  $Revision: 1.2.2.5 $
Author:
  Bill Burke

Field Summary
`protected static org.jboss.logging.Logger` | `log`
`protected Hashtable` | `objectTable`
`protected Hashtable` | `stateTable`
`protected Object` | `tableLock`
`protected org.jboss.tm.TransactionLocal` | `txSynch`
`protected DistributedVersionManager` | `versionManager`

Constructor Summary
`LocalSynchronizationManager(DistributedVersionManager versionManager)`

Method Summary
`protected void` | `acquireRemoteLocks(org.jboss.util.id.GUID globalTxId, List guids)`
`void` | `createObjects(List newObjects)`
`Object` | `getObject(org.jboss.util.id.GUID guid)`
`DistributedState` | `getState(org.jboss.util.id.GUID guid)`
`void` | `noTxUpdate(DistributedUpdate update)`
`void` | `putObject(org.jboss.util.id.GUID guid, Object obj)`
`void` | `putState(org.jboss.util.id.GUID guid, Object obj)`
`void` | `registerUpdate(Transaction tx, DistributedState state)`
`protected void` | `releaseHeldLocks(List locks)`
`protected void` | `sendClusterUpdatesAndRelease(org.jboss.util.id.GUID globalTxId, List clusterUpdates)`
`void` | `sendNewObjects(List newObjects)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.jboss.logging.Logger log

### txSynch

    protected org.jboss.tm.TransactionLocal txSynch

### tableLock

    protected Object tableLock

### objectTable

    protected Hashtable objectTable

### stateTable

    protected Hashtable stateTable

### versionManager

    protected DistributedVersionManager versionManager

Constructor Detail

### LocalSynchronizationManager

    public LocalSynchronizationManager(DistributedVersionManager versionManager)

Method Detail

### getObject

    public Object getObject(org.jboss.util.id.GUID guid)

  Specified by:
    `getObject` in interface `SynchronizationManager`

### putObject

    public void putObject(org.jboss.util.id.GUID guid,
                          Object obj)

  Specified by:
    `putObject` in interface `SynchronizationManager`

### getState

    public DistributedState getState(org.jboss.util.id.GUID guid)

  Specified by:
    `getState` in interface `SynchronizationManager`

### putState

    public void putState(org.jboss.util.id.GUID guid,
                         Object obj)

  Specified by:
    `putState` in interface `SynchronizationManager`

### registerUpdate

    public void registerUpdate(Transaction tx,
                               DistributedState state)
                        throws Exception

  Specified by:
    `registerUpdate` in interface `SynchronizationManager`
  Throws:
    `Exception`

### createObjects

    public void createObjects(List newObjects)
                       throws Exception

  Specified by:
    `createObjects` in interface `SynchronizationManager`
  Throws:
    `Exception`

### sendNewObjects

    public void sendNewObjects(List newObjects)
                        throws Exception

  Throws:
    `Exception`

### sendClusterUpdatesAndRelease

    protected void sendClusterUpdatesAndRelease(org.jboss.util.id.GUID globalTxId,
                                                List clusterUpdates)
                                         throws Exception

  Throws:
    `Exception`

### acquireRemoteLocks

    protected void acquireRemoteLocks(org.jboss.util.id.GUID globalTxId,
                                      List guids)
                               throws Exception

  Throws:
    `Exception`

### noTxUpdate

    public void noTxUpdate(DistributedUpdate update)
                    throws Exception

  Specified by:
    `noTxUpdate` in interface `SynchronizationManager`
  Throws:
    `Exception`

### releaseHeldLocks

    protected void releaseHeldLocks(List locks)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.